summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-irc/quassel: add spell support without full kdeArthur Zamarin6 days3-9/+15
| | | | | | | | | | | | | | | | Add new use flag "spell" for enabling spell checking without full KDE integration. KF5Sonnet is categorized as "Optional KF5 tier1 component" and can be used without full KDE, if find_package finds it. Using this new USE flag we disable automagic dependency on KF5Sonnet if it is installed during build. Changed REQUIRED_USE so that kde depends on spell, and spell depends on some kind of gui. Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/22531 Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/quassel: add 0.14_rc2Sam James6 days3-43/+216
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/weechat: sync live ebuildGeorgy Yakovlev6 days1-2/+3
| | | | Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* net-irc/weechat: drop 3.1, 3.2Georgy Yakovlev6 days4-353/+0
| | | | Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* net-irc/weechat: remove ruby-2.5 depGeorgy Yakovlev6 days2-2/+2
| | | | Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* net-irc/weechat: Stabilize 3.3 amd64, #816696Georgy Yakovlev6 days1-1/+1
| | | | Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* net-irc/weechat: Stabilize 3.3 ppc64, #816696Georgy Yakovlev6 days1-1/+1
| | | | Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* net-irc/weechat: Stabilize 3.3 arm64, #816696Sam James9 days1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/konversation: drop 21.08.1*Andreas Sturmlechner11 days2-74/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* net-irc/konversation: 21.08.2 version bumpAndreas Sturmlechner11 days2-0/+74
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* net-irc/weechat: Bump to weechat-3.3Georgy Yakovlev12 days4-0/+183
| | | | | | Closes: https://bugs.gentoo.org/816240 Closes: https://github.com/gentoo/gentoo/pull/22430 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* net-irc/kvirc: Remove qtwebkit supportJakov Smolić14 days3-9/+9
| | | | | | Closes: https://bugs.gentoo.org/750881 Bug: https://bugs.gentoo.org/684580 Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>
* net-irc/unrealircd: add 5.2.2Sam James14 days2-0/+178
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/hexchat: Synced live ebuildLars Wendler2021-10-041-19/+19
| | | | Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-irc/hexchat: Bump to version 2.16.0Lars Wendler2021-10-042-0/+133
| | | | Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-irc/hexchat: [QA] revert "Bump to version 2.16.0"David Seifert2021-10-042-135/+0
| | | | | | | | | | | | | | | | | | | | | | | | | | Several serious QA issues: 1. Release notes mention: - remove libnotify dependency on Linux, fixing hangs when notifications are shown - remove libproxy dependency on Linux But both of these are still in the ebuild as noops that make no difference to the build. 2. Clearly broken src_configure, warns: "WARNING: Unknown options: "with-appdata, with-dbus, with-gtk, with-libcanberra, with-libnotify, with-libproxy, with-plugin, with-ssl, with-text, with-theme-manager" None of the relevant USE flags or configure options are wired up. 3. (less severe) seems like another entry may need care too: "python: rewrite plugin in python with CFFI This lowers memory usage and fixed conflicts with many C Python modules including pygobject" 4. (less severe) PYTHON_COMPAT contains dead impls Reverts: f90f93e75d38af583ba5d87e7689895a28782025 Signed-off-by: David Seifert <soap@gentoo.org>
* net-irc/hexchat: Bump to version 2.16.0Lars Wendler2021-10-032-0/+135
| | | | Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-irc/irssi: Stabilize 1.2.3 hppaMatt Turner2021-09-221-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* net-irc/irker: add 2.20Sam James2021-09-212-0/+65
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/unrealircd: remove 5.0.8-r1Michael Palimaka2021-09-202-173/+0
| | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Michael Palimaka <kensington@gentoo.org>
* net-irc/limnoria: enable py3.10Arthur Zamarin2021-09-172-2/+2
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
* net-irc/unrealircd: x86 stable wrt bug #812821Agostino Sarubbo2021-09-131-1/+1
| | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.2 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-irc/unrealircd: amd64 stable wrt bug #812821Agostino Sarubbo2021-09-131-1/+1
| | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.2 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-irc/unrealircd: Stabilize 5.2.1.1 ppc, #812821Sam James2021-09-131-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/anope: Stabilize 2.0.10 x86, #812818Sam James2021-09-121-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/anope: Stabilize 2.0.10 amd64, #812818Sam James2021-09-121-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* **/metadata.xml: Replace http by https in DOCTYPE elementUlrich Müller2021-09-1149-49/+49
| | | | | Bug: https://bugs.gentoo.org/552720 Signed-off-by: Ulrich Müller <ulm@gentoo.org>
* net-irc/inspircd: update EAPI 7 -> 8Joonas Niilola2021-09-101-1/+1
| | | | Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-irc/inspircd: Drop 3.10.0-r1Wade Cline2021-09-102-123/+0
| | | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Wade Cline <wadecline@hotmail.com> Closes: https://github.com/gentoo/gentoo/pull/22251 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* net-irc/inspircd: Add 3.11.0Wade Cline2021-09-102-0/+124
| | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Wade Cline <wadecline@hotmail.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* Rename dev-python/{beautifulsoup → beautifulsoup4}Michał Górny2021-09-082-2/+2
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-irc/weechat: Fix LIBDIR path on PrefixYuan Liao2021-09-023-3/+3
| | | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Yuan Liao <liaoyuan@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/22194 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* net-irc/konversation: drop 21.08.0*Andreas Sturmlechner2021-09-022-74/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* net-irc/konversation: 21.08.1 version bumpAndreas Sturmlechner2021-09-022-0/+74
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* */*: Update my e-mail addressJakov Smolić2021-08-281-7/+3
| | | | Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>
* net-irc/znc: sync live ebuild with 1.8.2-r1Louis Sautier2021-08-241-40/+49
| | | | Signed-off-by: Louis Sautier <sbraz@gentoo.org>
* net-irc/znc: fix data location on systemd, #743856, enable py3.10Louis Sautier2021-08-245-3/+306
| | | | | | | | | | | | | | | Also: * Backport a patch to replace freenode with libera. * Adjust README. * Remove an 8-year-old ewarn. * Respect PYTHON_SINGLE_TARGET when building modpython. * Fix pkg_postinst to work on systemd. * Remove/fix some checks in pkg_postinst that became broken/unnecessary with the swith to acct-user. * Improve README.gentoo slightly. Closes: https://bugs.gentoo.org/743856 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
* net-irc/znc: drop 1.8.1Louis Sautier2021-08-242-180/+0
| | | | Signed-off-by: Louis Sautier <sbraz@gentoo.org>
* net-irc/quasselgrep: Port to EAPI 8, fix DISTUTILS_USE_SETUPTOOLSJakov Smolic2021-08-221-7/+8
| | | | | | | Closes: https://github.com/gentoo/gentoo/pull/22044 Closes: https://bugs.gentoo.org/809128 Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr> Signed-off-by: David Seifert <soap@gentoo.org>
* */*: Add upstream metadataAndreas Sturmlechner2021-08-211-0/+3
| | | | | Package-Manager: Portage-3.0.22, Repoman-3.0.3 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* net-irc/polari: Stabilize 40.0 amd64, #806322Sam James2021-08-151-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/polari: Stabilize 40.0 x86, #806322Sam James2021-08-151-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/konversation: 21.08.0 version bumpAndreas Sturmlechner2021-08-122-0/+74
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* net-irc/konversation: drop 20.12.3*Andreas Sturmlechner2021-08-112-74/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* net-irc/konversation: Stabilize 21.04.3 arm64, #805065Sam James2021-08-111-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/anope: add 2.0.10Sam James2021-08-092-0/+151
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/unrealircd: Keyword 5.2.1.1 arm64, #804064Sam James2021-08-071-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/ngircd: drop obsolete automake dependencySam James2021-08-051-1/+1
| | | | | | | | | | | | | We're not actually using it right now anyway and we should work with upstream to avoid the requirement for such an old version of automake somehow (by possibly porting away from the removed macro). (Revbump to allow folks to depclean the now-obsolete BDEPEND, especially given it's about to be masked.) See: https://github.com/ngircd/ngircd/issues/261 Signed-off-by: Sam James <sam@gentoo.org>
* net-irc/konversation: x86 stable wrt bug #805065Agostino Sarubbo2021-08-041-1/+1
| | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.2 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-irc/konversation: amd64 stable wrt bug #805065Agostino Sarubbo2021-08-041-1/+1
| | | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.2 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>